[tox]
minversion = 3.4.0
envlist = flake8, isort, black, pylint, build, pytest

[depversions]
flake8 = 3.8.3
isort = 4.3.21
black = 19.10b0 
astroid = 2.4.2
pylint = 2.5.3
pytest = 6.0.1
pytest-cov = 2.8.1
pytest-mock = 2.0.0
pytest-datafiles = 2.0
pytest-docker = 0.7.2

[testenv:flake8]
deps = 
    flake8>={[depversions]flake8}
commands = flake8 vinvelivaanilai

[testenv:isort]
deps = 
    isort=={[depversions]isort}
commands = isort --check-only --diff -rc .

[testenv:isort-apply]
deps = 
    isort=={[depversions]isort}
commands = isort -rc vinvelivaanilai

[testenv:black]
deps = 
    black>={[depversions]black}
commands = black -v --check --diff --line-length=79 --exclude="_version\.py" vinvelivaanilai

[testenv:black-apply]
deps = 
    black>={[depversions]black}
commands = black -v --line-length=79 --exclude="_version\.py" vinvelivaanilai

[testenv:pylint]
deps = 
    pylint>={[depversions]pylint}
    pytest>={[depversions]pytest}
    astroid>={[depversions]astroid}

commands = pylint {envsitepackagesdir}/vinvelivaanilai

[testenv:build]
skip_install = True
commands =
    python setup.py sdist bdist_wheel

[testenv:pytest]
deps = 
    pytest>={[depversions]pytest}
    pytest-cov>={[depversions]pytest-cov}
    pytest-mock>={[depversions]pytest-mock}
    pytest-datafiles>={[depversions]pytest-datafiles}
passenv = *
commands = pytest -v --cov=vinvelivaanilai --cov-report=term-missing --cov-report=html vinvelivaanilai

[testenv:pytest-gitlab]
deps = 
    pytest>={[depversions]pytest}
    pytest-cov>={[depversions]pytest-cov}
    pytest-mock>={[depversions]pytest-mock}
    pytest-datafiles>={[depversions]pytest-datafiles}
    pytest-docker>={[depversions]pytest-docker}
passenv = *
commands = pytest -v --cov=vinvelivaanilai --cov-report=term-missing --cov-report=html --ignore-glob=*/*/test_influxdb.py vinvelivaanilai
